#!/bin/bash

if [ -d cascade-make ] ; then
  source cascade-make/lib/cascade-lib.bash GEXT_AUDIODB . $*
fi

if [ -z $GEXT_AUDIODB ] ; then
  source setup.bash
fi

if [ -z $GEXTAUDIODB_DEVEL ] ; then
    # Set environment variable so we can tell devel.bash has been sourced
    export GEXTAUDIODB_DEVEL=$GEXT_AUDIODB
    
    export PATH="$GEXTAUDIODB_INSTALLED/bin:$PATH"
    export CFLAGS="-I$GEXTAUDIODB_INSTALLED/include $CFLAGS"
    export CPPFLAGS="-I$GEXTAUDIODB_INSTALLED/include $CPPFLAGS"
    export CXXFLAGS="-I$GEXTAUDIODB_INSTALLED/include $CXXFLAGS"
    export LDFLAGS="-L$GEXTAUDIODB_INSTALLED/lib $LDFLAGS"
    export PKG_CONFIG_PATH="$GEXTAUDIODB_INSTALLED/lib/pkgconfig:$PKG_CONFIG_PATH"
    
    echo "+Your environment is now setup to compile with the audioDB Support Library"

else
    echo "+Your environment is already setup to compile with the audioDB Support Library"
fi